clan::SharedGCData Class Reference - ClanLib SDK
Description: clan::SharedGCData Class Reference

Static Public Member Functions | List of all members
clan::SharedGCData Class Reference
clanDisplay Display

Shared Graphic Context Data. More...

`#include <shared_gc_data.h>`

## Static Public Member Functions
static void | add_disposable (DisposableObject *disposable)
| Add disposable.
static void | add_provider (GraphicContextProvider *provider)
| Add a provider.
static void | add_ref ()
| Add ref.
static std::vector< GraphicContextProvider * > & | get_gc_providers (std::unique_ptr< std::unique_lock< std::recursive_mutex > > &mutex_section)
| Get the providers.
static GraphicContextProvider * | get_provider (std::unique_ptr< std::unique_lock< std::recursive_mutex > > &mutex_section)
| Get a provider.
static void | release_ref ()
| Release ref.
static void | remove_disposable (DisposableObject *disposable)
| Remove disposable.
static void | remove_provider (GraphicContextProvider *provider)
| Remove a provider.

## Detailed Description

Shared Graphic Context Data.

## Member Function Documentation

## ◆ add_disposable()

static void clan::SharedGCData::add_disposable | ( | DisposableObject * | disposable | ) |
| static

Add disposable.

Parameters

  disposable | = Disposable Object

## ◆ add_provider()

static void clan::SharedGCData::add_provider | ( | GraphicContextProvider * | provider | ) |
| static

Add a provider.

## ◆ add_ref()

static void clan::SharedGCData::add_ref | ( |  | ) |
| static

Add ref.

## ◆ get_gc_providers()

static std::vector< GraphicContextProvider * > & clan::SharedGCData::get_gc_providers | ( | std::unique_ptr< std::unique_lock< std::recursive_mutex > > & | mutex_section | ) |
| static

Get the providers.

Parameters

  mutex_section | : Returns the mutex section for the provider lock

Returns
  NULL = None available

## ◆ get_provider()

static GraphicContextProvider * clan::SharedGCData::get_provider | ( | std::unique_ptr< std::unique_lock< std::recursive_mutex > > & | mutex_section | ) |
| static

Get a provider.

Parameters

  mutex_section | : Returns the mutex section for the provider lock

Returns
  NULL = None available

## ◆ release_ref()

static void clan::SharedGCData::release_ref | ( |  | ) |
| static

Release ref.

## ◆ remove_disposable()

static void clan::SharedGCData::remove_disposable | ( | DisposableObject * | disposable | ) |
| static

Remove disposable.

Parameters

  disposable | = Disposable Object

## ◆ remove_provider()

static void clan::SharedGCData::remove_provider | ( | GraphicContextProvider * | provider | ) |
| static

Remove a provider.

The documentation for this class was generated from the following file:

- shared_gc_data.h